K33 AB

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/k33-ab/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/k33-ab/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1752451200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://k33.com/ir/article?slug=k33-completes-strategic-purchase-of-36-bitcoin",
    "holding_balance": 121.0,
    "holding_net_change": 36.0,
    "transaction_value_usd": 4463205.0,
    "average_entry_value_usd": 123977.92,
    "transaction_value_calculated": false
  },
  {
    "date": 1753747200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/K33HQ/status/1950149346021843041?t=K2JGjzEcHef6eYYWIUcX8g&s=19",
    "holding_balance": 126.0,
    "holding_net_change": 5.0,
    "transaction_value_usd": 602000.0,
    "average_entry_value_usd": 120400.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1758499200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://k33.com/ir/article?slug=k33-completes-strategic-purchase-of-15-bitcoin",
    "holding_balance": 141.0,
    "holding_net_change": 15.0,
    "transaction_value_usd": 1682470.4,
    "average_entry_value_usd": 112164.69,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/k33-ab/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    141.0
  ],
  [
    1779062400000,
    141.0
  ],
  [
    1779148800000,
    141.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/k33-ab/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    10917610.26
  ],
  [
    1779062400000,
    10849142.07
  ],
  [
    1779148800000,
    10823161.41
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/k33-ab/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.021,
    "date": "2026-05-15",
    "high": 0.022,
    "open": 0.0218,
    "close": 0.0218,
    "volume": 26496210
  },
  {
    "low": 0.0217,
    "date": "2026-05-18",
    "high": 0.0231,
    "open": 0.0218,
    "close": 0.0217,
    "volume": 72914560
  },
  {
    "low": 0.0213,
    "date": "2026-05-19",
    "high": 0.0226,
    "open": 0.0217,
    "close": 0.0223,
    "volume": 18183912
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/k33-ab/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/k33-ab/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 7.21,
  "six_month_return": -25.91,
  "three_month_return": 5.19
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/k33-ab/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 3.3,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}